Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class RecurrenceEndTypeEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.RecurrenceEndTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class RecurrenceEndTypeEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent how the end date of a recurrence pattern is specified. The enumeration class that contains `RecurrenceEndType` elements.

See Also:
  Serialized Form

Field Summary
`static RecurrenceEndType` | `BY_DATE` The recurrence pattern end is an exact date
`static RecurrenceEndType` | `INSTANCES` The recurrence pattern end is determined by a fixed number of occurrences.
`static RecurrenceEndType` | `NO_END` The recurrence pattern has no end date
`static int` | `NUM_ELEMENTS`
`static int` | `VALUE_BY_DATE`
`static int` | `VALUE_INSTANCES`
`static int` | `VALUE_NO_END`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `RecurrenceEndTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `RecurrenceEndTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_BY_DATE

    public static final int VALUE_BY_DATE

See Also:
  Constant Field Values

### VALUE_INSTANCES

    public static final int VALUE_INSTANCES

See Also:
  Constant Field Values

### VALUE_NO_END

    public static final int VALUE_NO_END

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### BY_DATE

    public static final RecurrenceEndType BY_DATE

  The recurrence pattern end is an exact date

### INSTANCES

    public static final RecurrenceEndType INSTANCES

  The recurrence pattern end is determined by a fixed number of occurrences.

### NO_END

    public static final RecurrenceEndType NO_END

  The recurrence pattern has no end date

Constructor Detail

### RecurrenceEndTypeEnum

    protected RecurrenceEndTypeEnum(java.lang.Class elementClass,
                                    int iNumElements,
                                    com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                    EnumElement defaultElement,
                                    java.lang.String sInternalName,
                                    boolean bMaskable)

  Constructor.

### RecurrenceEndTypeEnum

    protected RecurrenceEndTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.